• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

Adobe Illustrator not compatible - how do I download an older version?

New Here ,
Jan 04, 2023 Jan 04, 2023

Copy link to clipboard

Copied

Hey team,

I just signed up for Adobe Illustrator and downloaded Creative Cloud naturally - however, my mac OS is Mojave and therefore the latest version of Illustrator is not compatible. I'm not willing to update my OS past Mojave as it will massively slow down my computer (as experienced), but how does one install an older version of Illustrator? It doesn't seem possible on the CC.

Thanks in advance!

Views

500

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
no replies

Have something to add?

Join the conversation
Adobe